Debian Bug report logs - #586685
gdm3: User's .Xauthority file is ignored

version graph

Package: gdm3; Maintainer for gdm3 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gdm3 is src:gdm3.

Reported by: Christian Weeks <cpw@weeksfamily.ca>

Date: Mon, 21 Jun 2010 16:54:01 UTC

Severity: important

Tags: patch

Found in version gdm3/3.4.1-2

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=651431

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Mon, 21 Jun 2010 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Weeks <cpw@weeksfamily.ca>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 16:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Weeks <cpw@weeksfamily.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm3: User's .Xauthority file is ignored
Date: Mon, 21 Jun 2010 12:41:39 -0400
Package: gdm3
Version: 2.30.2-4
Severity: important

It appears that my ~/.Xauthority file is being ignored with gdm3. This appears
to be an undocumented change to gdm functionality for upgrade from gdm.

It's breaking several of my ssh related scripts, since ssh is still honouring
the .Xauthority file, so I can no longer pass authority from one machine to
another. (The old x2x trick doesn't work for example:
ssh -fX myotherhost  x2x -west -to :0
) without a newly required xhost + on the target machine.

Also, it seems that the xauth program doesn't want to work quite correctly-
importing authority from .Xauthority with xauth file doesn't quite take 
correctly. (The above trick should, I believe, work, after I do that, but
doesn't).

These weird sideeffects of what is no doubt an attempt to tighten up security
for gdm3 are why I'm filing this as important- it's clear that either ssh and
other programs need to know about the new default in gdm3 (fun!) or gdm3
should expose a setting for the old behaviour (which it doesn't appear to,
though documentation is very very sparse at this point).

Thanks
Christian

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_CA.utf8, LC_CTYPE=en_CA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gdm3 depends on:
ii  adduser                 3.112            add and remove users and groups
ii  awesome [x-window-manag 3.4.5-1          highly configurable, next generati
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-session [x-sessio 2.30.0-1         The GNOME Session Manager - GNOME 
ii  gnome-session-bin       2.30.0-1         The GNOME Session Manager - Minima
ii  gnome-terminal [x-termi 2.30.1-1         The GNOME terminal emulator applic
ii  kde-window-manager [x-w 4:4.4.4-1        the KDE 4 window manager (KWin)
ii  konsole [x-terminal-emu 4:4.4.4-1        X terminal emulator for KDE 4
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libattr1                1:2.4.44-2       Extended attribute shared library
ii  libaudit0               1.7.13-1+b1      Dynamic library for security audit
ii  libbonobo2-0            2.24.3-1         Bonobo CORBA interfaces library
ii  libbonoboui2-0          2.24.3-1         The Bonobo UI library
ii  libc6                   2.11.2-1         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing widget eve
ii  libcanberra0            0.24-1           a simple abstract interface for pl
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libdevkit-power-gobject 1:0.9.4-2        abstraction for power management -
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome2-0             2.30.0-1         The GNOME library - runtime files
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  liborbit2               1:2.14.18-0.1    libraries for ORBit2 - a CORBA ORB
ii  libpam-modules          1.1.1-3          Pluggable Authentication Modules f
ii  libpam-runtime          1.1.1-3          Runtime support for the PAM librar
ii  libpam0g                1.1.1-3          Pluggable Authentication Modules l
ii  libpanel-applet2-0      2.30.0-2         library for GNOME Panel applets
ii  libpango1.0-0           1.28.1-1         Layout and rendering of internatio
ii  libpolkit-gobject-1-0   0.96-2           PolicyKit Authorization API
ii  libpolkit-gtk-1-0       0.96-2           PolicyKit GTK+ API
ii  libpopt0                1.16-1           lib for parsing cmdline parameters
ii  librsvg2-common         2.26.3-1         SAX-based renderer library for SVG
ii  libselinux1             2.0.94-1         SELinux runtime shared libraries
ii  libwrap0                7.6.q-19         Wietse Venema's TCP wrappers libra
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxau6                 1:1.0.5-2        X11 authorisation library
ii  libxdmcp6               1:1.0.3-2        X11 Display Manager Control Protoc
ii  libxklavier16           5.0-2            X Keyboard Extension high-level AP
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  lsb-base                3.2-23.1         Linux Standard Base 3.2 init scrip
ii  metacity [x-window-mana 1:2.30.1-2       lightweight GTK+ window manager
ii  mutter [x-window-manage 2.31.2-3         lightweight GTK+ window manager
ii  policykit-1-gnome       0.96-2           GNOME authentication agent for Pol
ii  ratpoison [x-window-man 1.4.5-2          keyboard-only window manager
ii  upower                  0.9.4-2          abstraction for power management
ii  xterm [x-terminal-emula 259-1            X terminal emulator
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages gdm3 recommends:
ii  at-spi                        1.30.1-2   Assistive Technology Service Provi
ii  gnome-icon-theme              2.30.3-1   GNOME Desktop icon theme
ii  gnome-power-manager           2.30.1-1   power management tool for the GNOM
ii  gnome-settings-daemon         2.30.1-1   daemon handling the GNOME session 
ii  xnest                         2:1.7.7-2  Nested X server
ii  xserver-xephyr                2:1.7.7-2  nested X server
ii  xserver-xorg                  1:7.5+6    the X.Org X server
ii  zenity                        2.30.0-1   Display graphical dialog boxes fro

Versions of packages gdm3 suggests:
ii  gnome-mag                     1:0.16.1-1 a screen magnifier for the GNOME d
ii  gnome-orca                    2.30.1-1   Scriptable screen reader
ii  gok                           2.30.0-1   GNOME Onscreen Keyboard
ii  libpam-gnome-keyring          2.30.1-2   PAM module to unlock the GNOME key
ii  metacity                      1:2.30.1-2 lightweight GTK+ window manager

-- Configuration Files:
/etc/gdm3/daemon.conf changed:
[daemon]
TimedLoginEnable=false
AutomaticLoginEnable=false
TimedLogin=
AutomaticLogin=
TimedLoginDelay=30
[security]
[xdmcp]
[greeter]
[chooser]
[debug]


-- debconf information:
* shared/default-x-display-manager: gdm3
  gdm3/daemon_name: /usr/sbin/gdm3





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Fri, 13 Aug 2010 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Mertens <frank@cyblogic.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 13 Aug 2010 17:03:07 GMT) Full text and rfc822 format available.


Message #10 received at 586685@bugs.debian.org (full text, mbox):

From: Frank Mertens <frank@cyblogic.de>
To: 586685@bugs.debian.org
Date: Fri, 13 Aug 2010 18:50:31 +0200
I faced the same issue of broken ssh scripts.
My solution was to put the following into /etc/gdm3/PostLogin/Default:

#!/bin/sh
if [ ! -e $HOME/.Xauthority ]; then
        touch $HOME/.Xauthority
        chmod 600 $HOME/.Xauthority
        chown $USER.$USER $HOME/.Xauthority
fi
cat $XAUTHORITY > $HOME/.Xauthority
exit 0





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Tue, 07 Dec 2010 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikael Berthe <mikael.berthe@lilotux.net>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 21:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 586685@bugs.debian.org (full text, mbox):

From: Mikael Berthe <mikael.berthe@lilotux.net>
To: 586685@bugs.debian.org
Subject: gdm3: User's .Xauthority file is ignored
Date: Tue, 7 Dec 2010 22:24:11 +0100
This change also breaks the acpi stuff...  In the acpi-support-base
package, the file /usr/share/acpi-support/power-funcs assumes
XAUTHORITY=$userhome/.Xauthority

I don't know if it's a bug in the acpi-support-base scripts or in
gdm3, but it breaks power saving when my laptop's lid is closed
here... :/

-- 
MiKael




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Wed, 08 Dec 2010 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 586685@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 08:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 586685@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Mikael Berthe <mikael.berthe@lilotux.net>, 586685@bugs.debian.org
Subject: Re: Bug#586685: gdm3: User's .Xauthority file is ignored
Date: Wed, 08 Dec 2010 09:12:53 +0100
[Message part 1 (text/plain, inline)]
Le mardi 07 décembre 2010 à 22:24 +0100, Mikael Berthe a écrit : 
> This change also breaks the acpi stuff...  In the acpi-support-base
> package, the file /usr/share/acpi-support/power-funcs assumes
> XAUTHORITY=$userhome/.Xauthority
> 
> I don't know if it's a bug in the acpi-support-base scripts or in
> gdm3, but it breaks power saving when my laptop's lid is closed
> here... :/

It is a bug in acpi-support-base, which should definitely not use the
display, not being part of the user’s session.

If you want to support lid close, the only thing you need is a power
management daemon.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Wed, 19 Jan 2011 23:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rieker Flaik <rieker_flaik@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 19 Jan 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 586685@bugs.debian.org (full text, mbox):

From: Rieker Flaik <rieker_flaik@arcor.de>
To: 586685@bugs.debian.org
Subject: gdm3: User's .Xauthority file is ignored
Date: Wed, 19 Jan 2011 15:00:22 +0100
Even the workaround with /etc/gdm3/PostLogin/Default doesn't work if you
use autologin :-(





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Thu, 05 May 2011 21:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Slavko <slavino@slavino.sk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 05 May 2011 21:39:07 GMT) Full text and rfc822 format available.

Message #30 received at 586685@bugs.debian.org (full text, mbox):

From: Slavko <slavino@slavino.sk>
To: Rieker Flaik <rieker_flaik@arcor.de>
Cc: 586685@bugs.debian.org
Subject: gdm3: User's .Xauthority file is ignored
Date: Thu, 5 May 2011 22:56:11 +0200
[Message part 1 (text/plain, inline)]
Hi,

for autologin (and normal login too), you can put your script to
~/.xsessionrc file, which is sourced in session's start. I have in this
file:

if [ $XAUTHORITY -a -r $XAUTHORITY ]; then
    cp $XAUTHORITY $HOME/.Xauthority
else
    logger -t "SHELL_FILES" "$(date +%T) - some useful message"
fi

regards

-- 
s pozdravom

Slavko
http://slavino.sk
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Sun, 29 May 2011 12:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 29 May 2011 12:57:08 GMT) Full text and rfc822 format available.

Message #35 received at 586685@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <586685@bugs.debian.org>
Subject: Re: User's .Xauthority file is ignored
Date: Sun, 29 May 2011 14:52:14 +0200
Package: gdm3
Version: 2.30.5-10
Followup-For: Bug #586685

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi!

I also found this change annoying. I am using emacsclient which spawns
a new frame on the current DISPLAY using the XAUTHORITY from the
current running process. Since ssh adds the appropriate cookie to
~/.Xauthority, emacs running process does not have the correct cookie
since it is looking in /var/lib/gdm3/.../database. 

What is the rationale of putting Xauthority file in /var/lib/gdm3
instead of its standard location? 

I use the following snippet in my ~/.xsession to circumvent this
change:

if [[ $XAUTHORITY != ~/.Xauthority ]]; then
    XAUTHORITY=~/.Xauthority xauth merge $XAUTHORITY
    export XAUTHORITY=~/.Xauthority
fi


- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdm3 depends on:
ii  adduser                  3.112+nmu2      add and remove users and groups
ii  debconf [debconf-2.0]    1.5.39          Debian configuration management sy
ii  fvwm [x-window-manager]  1:2.5.30.ds-1   F(?) Virtual Window Manager
ii  fvwm-crystal [x-window-m 3.0.5.dfsg-5    Pretty Desktop Environment based o
ii  gconf2                   2.28.1-6        GNOME configuration database syste
ii  gnome-session-bin        2.30.2-3        The GNOME Session Manager - Minima
ii  libart-2.0-2             2.3.21-1        Library of functions for 2D graphi
ii  libatk1.0-0              2.0.0-1         The ATK accessibility toolkit
ii  libattr1                 1:2.4.44-3      Extended attribute shared library
ii  libaudit0                1.7.13-1.1      Dynamic library for security audit
ii  libbonobo2-0             2.24.3-1        Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.24.3-1        The Bonobo UI library
ii  libc6                    2.13-4          Embedded GNU C Library: Shared lib
ii  libcairo2                1.10.2-6        The Cairo 2D vector graphics libra
ii  libcanberra-gtk0         0.24-1          Gtk+ helper for playing widget eve
ii  libcanberra0             0.24-1          a simple abstract interface for pl
ii  libdbus-1-3              1.4.8-3         simple interprocess messaging syst
ii  libdbus-glib-1-2         0.92-1          simple interprocess messaging syst
ii  libfontconfig1           2.8.0-2.2       generic font configuration library
ii  libfreetype6             2.4.4-1         FreeType 2 font engine, shared lib
ii  libgconf2-4              2.28.1-6        GNOME configuration database syste
ii  libgdk-pixbuf2.0-0       2.23.3-3        GDK Pixbuf library
ii  libglib2.0-0             2.28.6-1        The GLib library of C routines
ii  libgnome2-0              2.30.0-1        The GNOME library - runtime files
ii  libgnomecanvas2-0        2.30.1-1        A powerful object-oriented display
ii  libgtk2.0-0              2.24.4-3        The GTK+ graphical user interface 
ii  liborbit2                1:2.14.18-0.1   libraries for ORBit2 - a CORBA ORB
ii  libpam-modules           1.1.2-3         Pluggable Authentication Modules f
ii  libpam-runtime           1.1.2-3         Runtime support for the PAM librar
ii  libpam0g                 1.1.2-3         Pluggable Authentication Modules l
ii  libpanel-applet2-0       2.30.2-4        library for GNOME Panel applets
ii  libpango1.0-0            1.28.3-6        Layout and rendering of internatio
ii  libpolkit-gobject-1-0    0.101-4         PolicyKit Authorization API
ii  libpolkit-gtk-1-0        0.101-2         PolicyKit GTK+ API
ii  libpopt0                 1.16-1          lib for parsing cmdline parameters
ii  librsvg2-common          2.32.1-1        SAX-based renderer library for SVG
ii  libselinux1              2.0.98-1+b1     SELinux runtime shared libraries
ii  libupower-glib1          0.9.11-1+b1     abstraction for power management -
ii  libwrap0                 7.6.q-19        Wietse Venema's TCP wrappers libra
ii  libx11-6                 2:1.4.3-1       X11 client-side library
ii  libxau6                  1:1.0.6-1       X11 authorisation library
ii  libxdmcp6                1:1.1.0-1       X11 Display Manager Control Protoc
ii  libxklavier16            5.0-2           X Keyboard Extension high-level AP
ii  libxml2                  2.7.8.dfsg-2+b1 GNOME XML library
ii  lsb-base                 3.2-27          Linux Standard Base 3.2 init scrip
ii  policykit-1-gnome        0.101-2         GNOME authentication agent for Pol
ii  rxvt-unicode [x-terminal 9.11-1          RXVT-like terminal emulator with U
ii  upower                   0.9.11-1+b1     abstraction for power management

Versions of packages gdm3 recommends:
ii  at-spi                        1.30.1-3   Assistive Technology Service Provi
ii  desktop-base                  6.0.6      common files for the Debian Deskto
ii  gnome-icon-theme              2.30.3-2   GNOME Desktop icon theme
ii  gnome-power-manager           2.32.0-2   power management tool for the GNOM
ii  gnome-settings-daemon         2.30.2-3   daemon handling the GNOME session 
ii  x11-xkb-utils                 7.6+2      X11 XKB utilities
ii  xserver-xephyr                2:1.10.1-2 nested X server
ii  xserver-xorg                  1:7.6+6    the X.Org X server
ii  zenity                        2.30.0-1   Display graphical dialog boxes fro

Versions of packages gdm3 suggests:
pn  gnome-mag                     <none>     (no description available)
pn  gnome-orca                    <none>     (no description available)
pn  gok                           <none>     (no description available)
ii  libpam-gnome-keyring          3.0.2-1    PAM module to unlock the GNOME key
pn  metacity                      <none>     (no description available)

- -- Configuration Files:
/etc/gdm3/daemon.conf changed [not included]

- -- debconf information:
* shared/default-x-display-manager: gdm3
  gdm3/daemon_name: /usr/sbin/gdm3

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3iQXoACgkQKFvXofIqeU5xrACgmFAoyj9zWBufBdUvHVVHJwmY
jzAAn1VJDWQS8TRmkwKe8j8ewL8BM3N/
=2Oen
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Sun, 29 May 2011 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 586685@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 29 May 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #40 received at 586685@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Vincent Bernat <bernat@debian.org>, 586685@bugs.debian.org
Subject: Re: Bug#586685: User's .Xauthority file is ignored
Date: Mon, 30 May 2011 00:02:35 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 29 mai 2011 à 14:52 +0200, Vincent Bernat a écrit : 
> What is the rationale of putting Xauthority file in /var/lib/gdm3
> instead of its standard location? 

Please discuss this with upstream. We’re not going to change this
behavior specifically for Debian anyway, and I have better things to do
than proxying such requests.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Mon, 30 May 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 30 May 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #45 received at 586685@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 586685@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#586685: User's .Xauthority file is ignored
Date: Mon, 30 May 2011 07:54:05 +0200
[Message part 1 (text/plain, inline)]
forwarded 586685 https://bugzilla.gnome.org/show_bug.cgi?id=651431
thanks

OoO En  cette nuit nuageuse du  lundi 30 mai 2011,  vers 00:02, Josselin
Mouette <joss@debian.org> disait :

>> What is the rationale of putting Xauthority file in /var/lib/gdm3
>> instead of its standard location? 

> Please discuss this with upstream. We’re not going to change this
> behavior specifically for Debian anyway, and I have better things to do
> than proxying such requests.

I have filed bug 651431 for this:
 https://bugzilla.gnome.org/show_bug.cgi?id=651431
-- 
Vincent Bernat ☯ http://www.luffy.cx

 /* James M doesn't say fuck enough. */
        2.4.3 linux/net/core/netfilter.c
[Message part 2 (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=651431'. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 05:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Thu, 13 Oct 2011 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 13 Oct 2011 17:09:06 GMT) Full text and rfc822 format available.

Message #52 received at 586685@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 586685@bugs.debian.org
Subject: gdm3 cookie file
Date: Thu, 13 Oct 2011 18:04:41 +0100
I think we should fix this in Debian.  Having looked at the upstream
bug log I think it's clear that upstream don't understand the problem,
nor their proposed solution.  (Their proposed solution won't work if
you log in on a remote X display, for example.)

I would encourage someone to post a patch to gdm3 to either

 (a) make it not do the thing with /var/run/gdm3 at all
     (although that would have to be done with care because
      we want to avoid gdm3, while still running as root, writing to
      the user's home directory)

or

 (b) arrange in the gdm3 session setup scripts, run as the user,
     to copy the cookie into ~/.Xauthority.  There ought to be a
     timeout in case of .Xauthority locking problems.

(b) ought to be fairly straightforward and not intrusive.  If we had
such a patch it ought to be applied in the Debian package IMO.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Thu, 13 Oct 2011 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 13 Oct 2011 17:21:05 GMT) Full text and rfc822 format available.


Message #57 received at 586685@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@debian.org>
To: 586685@bugs.debian.org
Date: Thu, 13 Oct 2011 17:55:21 +0100
Hi,

This bug is biting me, too (particularly, it breaks emacsclient), and I 
think we should fix it.

If there are pointers as to how to patch gdm3's scripts so as to not do 
this, I'd like to see them.

I agree with other commenters that we should fix this in Debian if we 
can, as it's clearly causing quite a bit of brokenness.

Regards,

Matthew




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 20 Oct 2011 16:42:31 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 24 Nov 2011 21:30:06 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sat, 28 Jan 2012 12:23:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Weeks <cpw@weeksfamily.ca>:
Bug acknowledged by developer. (Sat, 28 Jan 2012 12:23:20 GMT) Full text and rfc822 format available.

Message #66 received at 586685-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 586685-close@bugs.debian.org
Subject: Bug#586685: fixed in xorg 1:7.6+11
Date: Sat, 28 Jan 2012 12:21:19 +0000
Source: xorg
Source-Version: 1:7.6+11

We believe that the bug you reported is fixed in the latest version of
xorg, which is due to be installed in the Debian FTP archive:

x11-common_7.6+11_all.deb
  to main/x/xorg/x11-common_7.6+11_all.deb
xbase-clients_7.6+11_all.deb
  to main/x/xorg/xbase-clients_7.6+11_all.deb
xorg-dev_7.6+11_all.deb
  to main/x/xorg/xorg-dev_7.6+11_all.deb
xorg_7.6+11.dsc
  to main/x/xorg/xorg_7.6+11.dsc
xorg_7.6+11.tar.gz
  to main/x/xorg/xorg_7.6+11.tar.gz
xorg_7.6+11_amd64.deb
  to main/x/xorg/xorg_7.6+11_amd64.deb
xserver-xorg-input-all_7.6+11_amd64.deb
  to main/x/xorg/xserver-xorg-input-all_7.6+11_amd64.deb
xserver-xorg-video-all_7.6+11_amd64.deb
  to main/x/xorg/xserver-xorg-video-all_7.6+11_amd64.deb
xserver-xorg_7.6+11_amd64.deb
  to main/x/xorg/xserver-xorg_7.6+11_amd64.deb
xutils_7.6+11_all.deb
  to main/x/xorg/xutils_7.6+11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated xorg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Jan 2012 12:42:38 +0100
Source: xorg
Binary: x11-common xserver-xorg xserver-xorg-video-all xserver-xorg-input-all xorg xorg-dev xbase-clients xutils
Architecture: source all amd64
Version: 1:7.6+11
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 x11-common - X Window System (X.Org) infrastructure
 xbase-clients - miscellaneous X clients - metapackage
 xorg       - X.Org X Window System
 xorg-dev   - X.Org X Window System development libraries
 xserver-xorg - X.Org X server
 xserver-xorg-input-all - X.Org X server -- input driver metapackage
 xserver-xorg-video-all - X.Org X server -- output driver metapackage
 xutils     - X Window System utility programs metapackage
Closes: 586685
Changes: 
 xorg (1:7.6+11) unstable; urgency=low
 .
   * Team upload.
   * debian/local/Xsession.d/35x11-common_xhost-local: add a new script
     to the default X session. It will give access to the running X
     server to the logged on user. This is useful for gdm3 which does not
     give access to $XAUTHORITY outside the session, but can also be of
     use for other display managers. Closes: #586685.
Checksums-Sha1: 
 6bb69fc405fb4b24fd174b46884eb9a55c27f5e0 1309 xorg_7.6+11.dsc
 af5ddfe37f2e3e764ca486de45dbc7ed153e40c5 921605 xorg_7.6+11.tar.gz
 6985622d4f97ec1d402f5d3dbbaa837fbc48d078 276024 x11-common_7.6+11_all.deb
 a13f893b272babc9cfbd9acdc3f75a6f9a1fe7aa 34998 xorg-dev_7.6+11_all.deb
 e1e3a64a3371ac915de036e743036df91b684c19 34864 xbase-clients_7.6+11_all.deb
 821373367ce9d1c84f17f6cb3ff36ad84c770ed8 34752 xutils_7.6+11_all.deb
 f0bdb21c74f77c16f77ce67c2f6a7945c2b4cd0b 111726 xserver-xorg_7.6+11_amd64.deb
 55694f7d11606113e1d3da8b876e078f564096c7 34838 xserver-xorg-video-all_7.6+11_amd64.deb
 c15dad0650553f456781ae12149db3fed1506ef3 34706 xserver-xorg-input-all_7.6+11_amd64.deb
 8ecabd5c25c18c1ef4be4d5363b0ba38dc7b371c 35354 xorg_7.6+11_amd64.deb
Checksums-Sha256: 
 ce17d29df2aae3cc53cd447b0650821736fe0dc1a3f8e8466aaf1f4257028ddb 1309 xorg_7.6+11.dsc
 e01ea73c7c33020b7aa814592e8c05d9f76bd782400cd4aa531a359ba75bfb05 921605 xorg_7.6+11.tar.gz
 d724777c65e631679684066200b2b3704724403ee827e6c268d633448f4929d0 276024 x11-common_7.6+11_all.deb
 7c154eef911e95cf96ebc7af08cb9a43eaa81920b7e05c73c77a048e8f64145b 34998 xorg-dev_7.6+11_all.deb
 da9ced8bb07dced7a85922ee4e4c9b38d9c32cf18d3248ae578cde5b70f16c71 34864 xbase-clients_7.6+11_all.deb
 4591587c1b892cd436b3784fd4097434d86a83542aec8cdbcaac3dcf9527d72c 34752 xutils_7.6+11_all.deb
 b5fa871135d54deddf603c03a2c0da773646f125a3332d8d49afb2cb4beee54c 111726 xserver-xorg_7.6+11_amd64.deb
 e18ed22fc2fc3a83ea94b188caaa2a215592cceab9b94c03500606e9d749e5c9 34838 xserver-xorg-video-all_7.6+11_amd64.deb
 94f59de4b1bdd642ad2aabdbfbe1c56c776a0ece1855386fb089486ddd14f4ea 34706 xserver-xorg-input-all_7.6+11_amd64.deb
 60a763da1784f612737565aa9dc109343375be672fd841004218d3d90b31d011 35354 xorg_7.6+11_amd64.deb
Files: 
 b1f6d99dc066ac564d236fd0b00b23ce 1309 x11 optional xorg_7.6+11.dsc
 3226e49c9500347eed38e6d40b76d40f 921605 x11 optional xorg_7.6+11.tar.gz
 fcacb829f731284ae566c9575930ce84 276024 x11 optional x11-common_7.6+11_all.deb
 54827ce46e306a1b7abd1bfa43bf36f6 34998 x11 optional xorg-dev_7.6+11_all.deb
 0093e6288bc83fa32aad0e31130c8533 34864 x11 optional xbase-clients_7.6+11_all.deb
 db4f8ff1eebcd31f95ae9a2a2c5e6ddb 34752 x11 optional xutils_7.6+11_all.deb
 3c5a5949df9db356117cbef63a99ff4c 111726 x11 optional xserver-xorg_7.6+11_amd64.deb
 c6242ec35a7f83f3deb7fc4091cd23de 34838 x11 optional xserver-xorg-video-all_7.6+11_amd64.deb
 55e17e46942ad35556ba328eb1bfc71f 34706 x11 optional xserver-xorg-input-all_7.6+11_amd64.deb
 3979bc9e6a2f584904214460fc4383bf 35354 x11 optional xorg_7.6+11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPI+ItrSla4ddfhTMRAppxAKCW54RUaHkBITjrsU/4+23TQItgRgCfZIkm
k7IAe7GXZZCPtgYNIAs5hWI=
=hfqd
-----END PGP SIGNATURE-----





Bug reassigned from package 'gdm3' to 'xorg'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 16:15:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gdm3/2.30.5-10 and gdm3/2.30.2-4. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 16:15:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions xorg/1:7.6+11. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 16:15:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions xorg/1:7.6+11. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 16:15:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Mar 2012 07:42:04 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Matthew Vernon <matthewv@chiark.greenend.org.uk> to control@bugs.debian.org. (Mon, 16 Jul 2012 23:51:03 GMT) Full text and rfc822 format available.

Marked as found in versions 3.4.1-2. Request was from Matthew Vernon <matthewv@chiark.greenend.org.uk> to control@bugs.debian.org. (Mon, 16 Jul 2012 23:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586685; Package xorg. (Tue, 17 Jul 2012 09:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 17 Jul 2012 09:15:06 GMT) Full text and rfc822 format available.

Message #85 received at 586685@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@debian.org>
To: control@bugs.debian.org, 586685@bugs.debian.org
Subject: gdm3 problem in wheezy
Date: Tue, 17 Jul 2012 09:33:14 +0100
reassign 586685 gdm3
found 586685 3.4.1-2
quit

Hi,

Sorry for further BTS noise; I'd missed this being reassigned to xorg.

I've just installed a new box with wheezy on it, which came with gdm3 as 
display manager, and lo and behold this bug is biting me on it. 
Particularly, it's the problem that's breaking emacsclient that I'm 
observing. Looking at the fix you applied, I don't think fettling xhost 
is going to deal with the wrong-XAUTHORITY problem in this case.

Reading back through the bug, I think Ian Jackson's option "b" is 
probably the way to go here.

Thanks,

Matthew



Bug reassigned from package 'xorg' to 'gdm3'. Request was from Matthew Vernon <matthew@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 09:15:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.4.1-2. Request was from Matthew Vernon <matthew@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 09:15:11 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions xorg/1:7.6+11. Request was from Matthew Vernon <matthew@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 09:15:12 GMT) Full text and rfc822 format available.

Marked as found in versions gdm3/3.4.1-2 and reopened. Request was from Matthew Vernon <matthew@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 09:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Tue, 17 Jul 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 16:00:03 GMT) Full text and rfc822 format available.

Message #98 received at 586685@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@debian.org>
To: 586685@bugs.debian.org, control@bugs.debian.org
Subject: Patch to actually fix this bug
Date: Tue, 17 Jul 2012 16:56:44 +0100
[Message part 1 (text/plain, inline)]
tags 586685 +patch
quit

Hi,

Having said someone should write a patch as suggested in this report, I 
have gone away and done so. I've tested this a bit, and it seems to 
DTRT. Please apply it :-)

Cheers,

Matthew
[gdm3.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Matthew Vernon <matthew@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 16:00:04 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Matthew Vernon <matthew@debian.org> to control@bugs.debian.org. (Wed, 18 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586685; Package gdm3. (Thu, 21 Nov 2013 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 21 Nov 2013 16:09:05 GMT) Full text and rfc822 format available.

Message #107 received at 586685@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@debian.org>
To: 586685@bugs.debian.org
Subject: Lack of progress on this bug
Date: Thu, 21 Nov 2013 16:06:07 +0000
Hi,

I supplied a patch that fixes this important bug over a year ago. Could
it be applied, please? Upstream's approach to this issue is clearly
inadequate, my patch is hardly invasive, and this is a bug that is
causing real problems.

Thanks,

Matthew



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:53:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.